Bug 103723 - kernel install script causes syntax error in zipl.conf
kernel install script causes syntax error in zipl.conf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mkinitrd (Show other bugs)
3.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 08:24 EDT by Daniel Jarboe
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 11:27:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Jarboe 2003-09-04 08:24:20 EDT
Description of problem:
Kernel install script writes
[Red Hat Enterpr]
        image=/boot/vmlinuz-2.4.21-1.1931.2.421.ent
        ramdisk=/boot/initrd-2.4.21-1.1931.2.421.ent.img
        parameters="root=LABEL=/"
[2.4.21-1.1931.2]
        image=/boot/vmlinuz-2.4.21-1.1931.2.421.ent
        ramdisk=/boot/initrd-2.4.21-1.1931.2.421.ent.img
        parameters="root=LABEL=/"
to zipl.conf.  zipl balks at the spaces in the first label.

Version-Release number of selected component (if applicable):
kernel-2.4.21-1.1931.2.421.ent

How reproducible:
Always

Steps to Reproduce:
1. rpm -e kernel-2.4.21-1.1931.2.421.ent
2. /usr/sbin/up2date-nox -u

Actual results:
up2date complains:
/etc/zipl.conf(4): [Red Hat Enterpr]
Syntax error

Expected results:
zipl written correctly

Additional info:
# /usr/sbin/up2date-nox -u

Fetching package list for channel: rhel3-beta1-as-s390...
########################################

Fetching Obsoletes list for channel: rhel3-beta1-as-s390...

Fetching rpm headers...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
kernel-2.4.21-1.1931.2.421. ########################## Done.
Preparing              ########################################### [100%]

Installing...
   1:kernel                 ########################################### [100%]
/etc/zipl.conf(4): [Red Hat Enterpr]
Syntax error
# rpm -q kernel
kernel-2.4.21-1.1931.2.349.2.2.ent
kernel-2.4.21-1.1931.2.393.ent
kernel-2.4.21-1.1931.2.411.ent
kernel-2.4.21-1.1931.2.421.ent
# cat /etc/zipl.conf
[defaultboot]
default=linold3
target=/boot/
[Red Hat Enterpr]
        image=/boot/vmlinuz-2.4.21-1.1931.2.421.ent
        ramdisk=/boot/initrd-2.4.21-1.1931.2.421.ent.img
        parameters="root=LABEL=/"
[2.4.21-1.1931.2]
        image=/boot/vmlinuz-2.4.21-1.1931.2.421.ent
        ramdisk=/boot/initrd-2.4.21-1.1931.2.421.ent.img
        parameters="root=LABEL=/"
[linold3]
        image=/boot/vmlinuz-2.4.21-1.1931.2.411.ent
        ramdisk=/boot/initrd-2.4.21-1.1931.2.411.ent.img
        parameters="root=LABEL=/"
[linold2]
        image=/boot/vmlinuz-2.4.21-1.1931.2.393.ent
        ramdisk=/boot/initrd-2.4.21-1.1931.2.393.ent.img
        parameters="root=LABEL=/"
[linold1]
        image=/boot/vmlinuz-2.4.21-1.1931.2.349.2.2.ent
        ramdisk=/boot/initrd-2.4.21-1.1931.2.349.2.2.ent.img
        parameters="root=LABEL=/"
[root@linbeta boot]# zipl -c /etc/zipl.conf
/etc/zipl.conf(4): [Red Hat Enterpr]
Syntax error
An error was detected parsing config file
Comment 1 Jeremy Katz 2003-09-04 09:12:43 EDT
Fixed in mkinitrd 3.5.11
Comment 2 Bill Nottingham 2004-10-11 11:27:30 EDT
Closing MODIFIED bugs as fixed. Please reopen if the problem perists.

Note You need to log in before you can comment on or make changes to this bug.